package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/db/model"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/utils/logx"
	"xorm.io/xorm"
)

// UserFindByID is find user byid
func UserFindByID(Db *xorm.Engine, id interface{}) (*model.User, error) {
	var m model.User
	if has, err := Db.Where("uid = ?", id).
		Get(&m); err != nil || has == false {
		return nil, zhios_order_relate_logx.Warn(err)
	}
	return &m, nil
}
func UserProfileFindByID(Db *xorm.Engine, id interface{}) (*model.UserProfile, error) {
	var m model.UserProfile
	if has, err := Db.Where("uid = ?", id).
		Get(&m); err != nil || has == false {
		return nil, zhios_order_relate_logx.Warn(err)
	}
	return &m, nil
}
func UserProfileFindByIDWithSession(sess *xorm.Session, id interface{}) (*model.UserProfile, error) {
	var m model.UserProfile
	if has, err := sess.Where("uid = ?", id).
		Get(&m); err != nil || has == false {
		return nil, zhios_order_relate_logx.Warn(err)
	}
	return &m, nil
}
