package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/db/model"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/utils/logx"
	"xorm.io/xorm"
)

func DbsUserFindByIds(eg *xorm.Engine, uid []int) (*[]model.User, error) {
	var users []model.User
	if err := eg.In("uid", uid).Asc("level").Find(&users); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if len(users) == 0 {
		return nil, nil
	}
	return &users, nil
}

func DbsUserRelate(eg *xorm.Engine, uid int) (*[]model.UserRelate, error) {
	var userRelate []model.UserRelate
	if err := eg.Where("uid = ?", uid).Asc("level").Find(&userRelate); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if len(userRelate) == 0 {
		return nil, nil
	}
	return &userRelate, nil
}
